# Visualization
TKV2d
Graphic2d

# Graphic2d_Marker Class Reference

The primitive Marker
.

`#include <Graphic2d_Marker.hxx>`

Inheritance diagram for Graphic2d_Marker:

[legend]

## Public Member Functions

Standard_EXPORT | Graphic2d_Marker (const Handle(Graphic2d_GraphicObject)&aGraphicObject, const Quantity_Length X, const Quantity_Length Y)
| Creates a pixel point marker at position <x>,<y> .
Standard_EXPORT | Graphic2d_Marker (const Handle(Graphic2d_GraphicObject)&aGraphicObject, const Standard_Integer anIndex, const Quantity_Length X, const Quantity_Length Y, const Quantity_Length aWidth, const Quantity_Length anHeight, const Quantity_PlaneAngle anAngle=0.0)
| Creates the predefined marker index <anindex> at position <x>,<y> and size <awidth>,<aheight>. Angle is measured counterclockwise with 0 radian at 3 o'clock. .
Standard_EXPORT void | Position (Quantity_Length &X, Quantity_Length &Y) const
| returns the coordinates of the position of the marker
Standard_EXPORT void | Size (Quantity_Length &aW, Quantity_Length &aH) const
| returns the width and height of the marker
Standard_EXPORT Standard_Integer | Index () const
| returns the index of marker in the map of markers
Standard_EXPORT Quantity_PlaneAngle | Angle () const
| returns the angle of the marker
virtual Standard_EXPORT void | Save (Aspect_FStream &aFStream) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT void | Draw (const Handle(Graphic2d_Drawer)&aDrawer)
| Draws the marker <me>. .
Standard_EXPORT Standard_Boolean | Pick (const Standard_ShortReal X, const Standard_ShortReal Y, const Standard_ShortReal aPrecision, const Handle(Graphic2d_Drawer)&aDrawer)
| Returns Standard_True if the marker <me> is picked, Standard_False if not. Warning: Checks only if the point <x>, <y> is in the boundary rectangle of <me> .
virtual Standard_EXPORT void | DrawVertex (const Handle(Graphic2d_Drawer)&aDrawer, const Standard_Integer anIndex)
| Draws the vertex <avertex> of the primitive <me>. .

## Private Attributes

Standard_Integer | myMarkIndex
Standard_ShortReal | myX
Standard_ShortReal | myY
Standard_ShortReal | myWidth
Standard_ShortReal | myHeight
Standard_ShortReal | myAngle

## Constructor & Destructor Documentation

Standard_EXPORT Graphic2d_Marker::Graphic2d_Marker | ( | const Handle(Graphic2d_GraphicObject)& | aGraphicObject,
|  | const Quantity_Length | X,
|  | const Quantity_Length | Y
| ) |

Standard_EXPORT Graphic2d_Marker::Graphic2d_Marker | ( | const Handle(Graphic2d_GraphicObject)& | aGraphicObject,
|  | const Standard_Integer | anIndex,
|  | const Quantity_Length | X,
|  | const Quantity_Length | Y,
|  | const Quantity_Length | aWidth,
|  | const Quantity_Length | anHeight,
|  | const Quantity_PlaneAngle | anAngle = `0.0`
| ) |

## Member Function Documentation

Standard_EXPORT Quantity_PlaneAngle Graphic2d_Marker::Angle | ( |  | ) | const

Standard_EXPORT void Graphic2d_Marker::Draw | ( | const Handle(Graphic2d_Drawer)& | aDrawer | ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

virtual Standard_EXPORT void Graphic2d_Marker::DrawVertex | ( | const Handle(Graphic2d_Drawer)& | aDrawer,
|  | const Standard_Integer | anIndex
| ) | `[protected, virtual]`

| Reimplemented from Graphic2d_Primitive.

Standard_EXPORT const Graphic2d_Marker::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Graphic2d_Line.

Standard_EXPORT Standard_Integer Graphic2d_Marker::Index | ( |  | ) | const

Standard_EXPORT Standard_Boolean Graphic2d_Marker::Pick | ( | const Standard_ShortReal | X,
|  | const Standard_ShortReal | Y,
|  | const Standard_ShortReal | aPrecision,
|  | const Handle(Graphic2d_Drawer)& | aDrawer
| ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

Standard_EXPORT void Graphic2d_Marker::Position | ( | Quantity_Length & | X,
|  | Quantity_Length & | Y
| ) | const

virtual Standard_EXPORT void Graphic2d_Marker::Save | ( | Aspect_FStream & | aFStream | ) | const`[virtual]`

| Reimplemented from Graphic2d_Line.

Standard_EXPORT void Graphic2d_Marker::Size | ( | Quantity_Length & | aW,
|  | Quantity_Length & | aH
| ) | const

## Field Documentation

Standard_ShortReal Graphic2d_Marker::myAngle `[private]`

Standard_ShortReal Graphic2d_Marker::myHeight `[private]`

Standard_Integer Graphic2d_Marker::myMarkIndex `[private]`

Standard_ShortReal Graphic2d_Marker::myWidth `[private]`

Standard_ShortReal Graphic2d_Marker::myX `[private]`

Standard_ShortReal Graphic2d_Marker::myY `[private]`

The documentation for this class was generated from the following file:

- Graphic2d_Marker.hxx